vellTRDocs

List Payouts

GET/v1/payoutsOptional

List payouts with keyset pagination. Filters: storeId, status (comma-separated).

Authentication

Signature Pattern

HMAC-SHA256(secretKey, "{timestamp}\nGET\n/v1/payouts\n{sha256(\"\")}")
HeaderValueDescription
X-Api-Keypk_live_a1b2c3d4e5f6g7h8Merchant public API key
X-Signature{hmac_sha256_hex}Hex HMAC-SHA256 request signature
X-Timestamp2026-04-13T10:00:00ZISO 8601 UTC request time (±5 min)

Request Parameters

NameTypeRequiredDescription
storeIdstringOptionalFilter by store
statusstringOptionalComma-separated status filter
limitintegerOptionalPage size
cursorstringOptionalOpaque keyset cursor

Response Parameters

FieldTypeExample
payoutsarray[…]
payouts[].payoutIdstring"7c8d9e0f-1a2b-3c4d-5e6f-708192a3b4c5"
payouts[].statusstring"succeeded"
payouts[].railstring"fast"
payouts[].amountMinorinteger100000
payouts[].currencystring"TRY"
payouts[].createdAtstring"2026-04-13T10:00:00Z"
payouts[].resolvedAtstring"2026-04-13T10:00:04Z"
nextCursorstring"eyJjcmVhdGVkQXQiOiIyMDI2LTA0LTEzVDEwOjAw…

Response Example

JSONResponse
{
  "payouts": [
    {
      "payoutId": "7c8d9e0f-1a2b-3c4d-5e6f-708192a3b4c5",
      "status": "succeeded",
      "rail": "fast",
      "amountMinor": 100000,
      "currency": "TRY",
      "createdAt": "2026-04-13T10:00:00Z",
      "resolvedAt": "2026-04-13T10:00:04Z"
    }
  ],
  "nextCursor": "eyJjcmVhdGVkQXQiOiIyMDI2LTA0LTEzVDEwOjAwOjAwWiJ9"
}

Status Codes

200Success
201Created
400Bad Request
401Unauthorized
404Not Found
429Rate Limited
Try itMock
GEThttps://api.pay.sandbox.kvell.group